X509CertificateHolderSelector (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.cert.selector

## Class X509CertificateHolderSelector

- java.lang.Object
- - org.bouncycastle.cert.selector.X509CertificateHolderSelector

- All Implemented Interfaces:
    java.lang.Cloneable, org.bouncycastle.util.Selector
  Direct Known Subclasses:
    JcaX509CertificateHolderSelector

      public class X509CertificateHolderSelector
      extends java.lang.Object
      implements org.bouncycastle.util.Selector

  a basic index for a X509CertificateHolder class

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `X509CertificateHolderSelector(byte[] subjectKeyId)` Construct a selector with the value of a public key's subjectKeyId.
    `X509CertificateHolderSelector(org.bouncycastle.asn1.x500.X500Name issuer, java.math.BigInteger serialNumber)` Construct a signer ID based on the issuer and serial number of the signer's associated certificate.
    `X509CertificateHolderSelector(org.bouncycastle.asn1.x500.X500Name issuer, java.math.BigInteger serialNumber, byte[] subjectKeyId)` Construct a signer ID based on the issuer and serial number of the signer's associated certificate.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `boolean` | `equals(java.lang.Object o)`
    `org.bouncycastle.asn1.x500.X500Name` | `getIssuer()`
    `java.math.BigInteger` | `getSerialNumber()`
    `byte[]` | `getSubjectKeyIdentifier()`
    `int` | `hashCode()`
    `boolean` | `match(java.lang.Object obj)`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### X509CertificateHolderSelector

          public X509CertificateHolderSelector(byte[] subjectKeyId)

      Construct a selector with the value of a public key's subjectKeyId.
      Parameters:
        `subjectKeyId` - a subjectKeyId

    - #### X509CertificateHolderSelector

          public X509CertificateHolderSelector(org.bouncycastle.asn1.x500.X500Name issuer,
                                       java.math.BigInteger serialNumber)

      Construct a signer ID based on the issuer and serial number of the signer's associated certificate.
      Parameters:
        `issuer` - the issuer of the signer's associated certificate.
        `serialNumber` - the serial number of the signer's associated certificate.

    - #### X509CertificateHolderSelector

          public X509CertificateHolderSelector(org.bouncycastle.asn1.x500.X500Name issuer,
                                       java.math.BigInteger serialNumber,
                                       byte[] subjectKeyId)

      Construct a signer ID based on the issuer and serial number of the signer's associated certificate.
      Parameters:
        `issuer` - the issuer of the signer's associated certificate.
        `serialNumber` - the serial number of the signer's associated certificate.
        `subjectKeyId` - the subject key identifier to use to match the signers associated certificate.

  - ### Method Detail

    - #### getIssuer

          public org.bouncycastle.asn1.x500.X500Name getIssuer()

    - #### getSerialNumber

          public java.math.BigInteger getSerialNumber()

    - #### getSubjectKeyIdentifier

          public byte[] getSubjectKeyIdentifier()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### match

          public boolean match(java.lang.Object obj)

      Specified by:
        `match` in interface `org.bouncycastle.util.Selector`

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `org.bouncycastle.util.Selector`
      Overrides:
        `clone` in class `java.lang.Object`